View Issue Details

IDProjectCategoryView StatusLast Update
0002017FreeCADFeaturepublic2018-10-10 18:16
ReporteryorikAssigned To 
PriorityhighSeverityminorReproducibilityN/A
Status newResolutionopen 
Product Version 
Target Version0.17Fixed in Version 
Summary0002017: List of important but empty wiki pages that need contents
DescriptionThis is just to keep track. Feel free to work on any of these!

Drawing_Orthoviews
Raytracing_New
Raytracing_Lux
Raytracing_Part
Raytracing_ResetCamera
Raytracing_Export
Raytracing_Render
Robot_createRobot
Robot_Simulate
Robot_Export
Robot_SetHomePos
Robot_RestoreHomePos
Robot_CreateTrajectory
Robot_SetDefaultOrientation
Robot_InsertWaypoint
Robot_InsertWaypointPre
Robot_Edge2Trac
Robot_TrajectoryDressUp
Robot_TrajectoryCompound
OpenSCAD_ColorCodeShape
Plot_Axes
Plot_Series
Plot_Grid
Plot_Legend
Plot_Labels
Plot_Positions
Additional Informationhttp://freecadweb.org/wiki/Drawing_Orthoviews
http://freecadweb.org/wiki/Raytracing_New
http://freecadweb.org/wiki/Raytracing_Lux
http://freecadweb.org/wiki/Raytracing_Part
http://freecadweb.org/wiki/Raytracing_ResetCamera
http://freecadweb.org/wiki/Raytracing_Export
http://freecadweb.org/wiki/Raytracing_Render
http://freecadweb.org/wiki/Robot_createRobot
http://freecadweb.org/wiki/Robot_Simulate
http://freecadweb.org/wiki/Robot_Export
http://freecadweb.org/wiki/Robot_SetHomePos
http://freecadweb.org/wiki/Robot_RestoreHomePos
http://freecadweb.org/wiki/Robot_CreateTrajectory
http://freecadweb.org/wiki/Robot_SetDefaultOrientation
http://freecadweb.org/wiki/Robot_InsertWaypoint
http://freecadweb.org/wiki/Robot_InsertWaypointPre
http://freecadweb.org/wiki/Robot_Edge2Trac
http://freecadweb.org/wiki/Robot_TrajectoryDressUp
http://freecadweb.org/wiki/Robot_TrajectoryCompound
http://freecadweb.org/wiki/OpenSCAD_ColorCodeShape
http://freecadweb.org/wiki/Plot_Axes
http://freecadweb.org/wiki/Plot_Series
http://freecadweb.org/wiki/Plot_Grid
http://freecadweb.org/wiki/Plot_Legend
http://freecadweb.org/wiki/Plot_Labels
http://freecadweb.org/wiki/Plot_Positions
Tags#lowhangingfruit, #post-to-forum, documentation, wiki

Relationships

parent of 0003052 closedberndhahnebach FEM FEM - List of important but empty wiki pages that need contents 
parent of 0003053 closed Part PART - List of important but empty wiki pages that need contents 
parent of 0003016 closed TechDraw TechDraw - Wiki documentation 
parent of 0003331 assignednormandc PartDesign PartDesign: update wiki pages to reference changes in 0.17 
related to 0003054 new Sketcher Sketcher - List of important but empty wiki pages that need contents 
child of 0003625 new FreeCAD Incomplete Wiki Pages to be completed before 0.18 release 
Not all the children of this issue are yet resolved or closed.

Activities

normandc

2018-01-26 19:57

manager   ~0010869

Fixed typo in Drawing_Orthoviews, removed some OpenSCAD commands from list.

BTW we need a report like this specific for PartDesign and link it.

Kunda1

2018-01-26 21:34

administrator   ~0010871

@normandc what PDN wiki pages need work ? If you give me the list I'll create it and make links to said pages.

normandc

2018-01-27 16:14

manager   ~0010878

Compiling the list and creating the bug report almost amounts to the same, so I'll do it!

cds4byu

2018-03-04 18:15

reporter   ~0011003

I have added some content to Drawing_Orthoviews. I'm new to this, so I'd like somebody to check the content and see if it's correct. In particular, I wonder if I'm right when I say there is no scripting command for Drawing_Orthoviews, and that it creates multiple views when it executes.

normandc

2018-03-04 18:35

manager   ~0011004

https://www.freecadweb.org/wiki/Drawing_Orthoviews

I think it's OK. But in many other command pages, the Scripting section is omitted (such as Sketcher and PartDesign pages). I think it would be useful to add a screen capture of the "Orthographic Projection" parameters to the Options section. As detailed in WikiPages, only show the Tasks panel, not the 3D view, so it is easier for translators to recreate the screen capture in their languages. The image should be in PNG format. For an example of use, see https://www.freecadweb.org/wiki/PartDesign_Hole#Options

cds4byu

2018-03-05 02:01

reporter   ~0011012

https://www.freecadweb.org/wiki/Drawing_Orthoviews
Thanks for the feedback! I've added a screen capture, and moved the description of the choices down to the Options section.

Do you recommend that I eliminate the Scripting section? It seems to be to be useful information that I generally don't have a way to script this command. As a user, I think that's what I would want.

I had some weird stuff go on with my screen capture. I'm using a MacBook Pro Retina, so the Task box comes out at 800 px wide, which seems way to big for the wiki page, so I created a 400 px wide image. I hope this is acceptable.

I think this is much better than my last attempt. Please let me know other things I should change to be more compatible with FreeCAD standards.

Issue History

Date Modified Username Field Change
2015-03-21 21:17 yorik New Issue
2017-01-10 13:52 Kunda1 Tag Attached: documentation
2017-01-17 20:15 Kunda1 Tag Attached: wiki
2017-05-27 19:34 Kunda1 Additional Information Updated View Revisions
2017-05-27 19:41 Kunda1 Issue cloned: 0003052
2017-05-27 19:41 Kunda1 Relationship added parent of 0003052
2017-05-27 19:44 Kunda1 Priority normal => high
2017-05-27 19:44 Kunda1 Description Updated View Revisions
2017-05-27 19:44 Kunda1 Additional Information Updated View Revisions
2017-05-27 19:47 Kunda1 Issue cloned: 0003053
2017-05-27 19:47 Kunda1 Relationship added parent of 0003053
2017-05-27 19:49 Kunda1 Description Updated View Revisions
2017-05-27 19:49 Kunda1 Additional Information Updated View Revisions
2017-05-27 19:53 Kunda1 Issue cloned: 0003054
2017-05-27 19:53 Kunda1 Relationship added parent of 0003054
2017-05-27 19:55 Kunda1 Description Updated View Revisions
2017-05-27 19:55 Kunda1 Additional Information Updated View Revisions
2017-08-28 20:19 Kunda1 Tag Attached: #post-to-forum
2017-08-28 20:20 Kunda1 Tag Attached: #lowhangingfruit
2017-08-28 20:22 Kunda1 Relationship added parent of 0003016
2018-01-26 19:16 Kunda1 Target Version => 0.17
2018-01-26 19:57 normandc Description Updated View Revisions
2018-01-26 19:57 normandc Additional Information Updated View Revisions
2018-01-26 19:57 normandc Note Added: 0010869
2018-01-26 21:34 Kunda1 Note Added: 0010871
2018-01-27 16:14 normandc Note Added: 0010878
2018-01-27 18:27 normandc Relationship added parent of 0003331
2018-03-04 18:15 cds4byu Note Added: 0011003
2018-03-04 18:35 normandc Note Added: 0011004
2018-03-05 02:01 cds4byu Note Added: 0011012
2018-10-10 18:00 Kunda1 Relationship added child of 0003625
2018-10-10 18:16 Kunda1 Relationship replaced related to 0003054